diff mbox series

[ovs-dev,v2] ci: Don't run unit tests for system-test job.

Message ID 20211103165514.1880082-1-numans@ovn.org
State Accepted
Headers show
Series [ovs-dev,v2] ci: Don't run unit tests for system-test job. | expand

Checks

Context Check Description
ovsrobot/apply-robot success apply and check: success
ovsrobot/github-robot-_Build_and_Test success github build: passed
ovsrobot/github-robot-_ovn-kubernetes fail github build: failed

Commit Message

Numan Siddique Nov. 3, 2021, 4:55 p.m. UTC
From: Numan Siddique <numans@ovn.org>

system-test matrix first runs unit tests and then system tests.
And if unit tests fail, system tests are not run.

This patch now runs only system tests for system-test matrix.
A new entry is added in the test matrix - 'gcc compiler with
unit tests'.

Signed-off-by: Numan Siddique <numans@ovn.org>
---

v1 -> v2
----
 * Addressed Ilya's comments.

 .ci/linux-build.sh         | 22 +++++++++++-----------
 .github/workflows/test.yml |  2 ++
 2 files changed, 13 insertions(+), 11 deletions(-)

Comments

Dumitru Ceara Nov. 8, 2021, 3:42 p.m. UTC | #1
On 11/3/21 5:55 PM, numans@ovn.org wrote:
> From: Numan Siddique <numans@ovn.org>
> 
> system-test matrix first runs unit tests and then system tests.
> And if unit tests fail, system tests are not run.
> 
> This patch now runs only system tests for system-test matrix.
> A new entry is added in the test matrix - 'gcc compiler with
> unit tests'.
> 
> Signed-off-by: Numan Siddique <numans@ovn.org>
> ---

Hi Numan,

> 
> v1 -> v2
> ----
>  * Addressed Ilya's comments.
> 
>  .ci/linux-build.sh         | 22 +++++++++++-----------
>  .github/workflows/test.yml |  2 ++
>  2 files changed, 13 insertions(+), 11 deletions(-)
> 
> diff --git a/.ci/linux-build.sh b/.ci/linux-build.sh
> index 76a2ff459f..b0975685d4 100755
> --- a/.ci/linux-build.sh
> +++ b/.ci/linux-build.sh
> @@ -49,17 +49,6 @@ else
>  fi
>  
>  if [ "$TESTSUITE" ]; then
> -    # 'distcheck' will reconfigure with required options.
> -    # Now we only need to prepare the Makefile without sparse-wrapped CC.
> -    configure_ovn
> -
> -    export DISTCHECK_CONFIGURE_FLAGS="$OPTS"
> -    if ! make distcheck -j4 TESTSUITEFLAGS="-j4" RECHECK=yes; then
> -        # testsuite.log is necessary for debugging.
> -        cat */_build/sub/tests/testsuite.log
> -        exit 1
> -    fi
> -
>      if [ "$TESTSUITE" = "system-test" ]; then
>          # Reconfigure build with required OPTS, rebuild and run system tests.

We're not really reconfiguring/rebuilding anymore, this can probably be
updated to:

# Configure build with required OPTS, build and run system tests.

Or, even better, the comment can be removed altogether; but I guess this
can be fixed up at apply time, therefore:

Acked-by: Dumitru Ceara <dceara@redhat.com>

Thanks,
Dumitru
Numan Siddique Nov. 8, 2021, 4:45 p.m. UTC | #2
On Mon, Nov 8, 2021 at 10:43 AM Dumitru Ceara <dceara@redhat.com> wrote:
>
> On 11/3/21 5:55 PM, numans@ovn.org wrote:
> > From: Numan Siddique <numans@ovn.org>
> >
> > system-test matrix first runs unit tests and then system tests.
> > And if unit tests fail, system tests are not run.
> >
> > This patch now runs only system tests for system-test matrix.
> > A new entry is added in the test matrix - 'gcc compiler with
> > unit tests'.
> >
> > Signed-off-by: Numan Siddique <numans@ovn.org>
> > ---
>
> Hi Numan,
>
> >
> > v1 -> v2
> > ----
> >  * Addressed Ilya's comments.
> >
> >  .ci/linux-build.sh         | 22 +++++++++++-----------
> >  .github/workflows/test.yml |  2 ++
> >  2 files changed, 13 insertions(+), 11 deletions(-)
> >
> > diff --git a/.ci/linux-build.sh b/.ci/linux-build.sh
> > index 76a2ff459f..b0975685d4 100755
> > --- a/.ci/linux-build.sh
> > +++ b/.ci/linux-build.sh
> > @@ -49,17 +49,6 @@ else
> >  fi
> >
> >  if [ "$TESTSUITE" ]; then
> > -    # 'distcheck' will reconfigure with required options.
> > -    # Now we only need to prepare the Makefile without sparse-wrapped CC.
> > -    configure_ovn
> > -
> > -    export DISTCHECK_CONFIGURE_FLAGS="$OPTS"
> > -    if ! make distcheck -j4 TESTSUITEFLAGS="-j4" RECHECK=yes; then
> > -        # testsuite.log is necessary for debugging.
> > -        cat */_build/sub/tests/testsuite.log
> > -        exit 1
> > -    fi
> > -
> >      if [ "$TESTSUITE" = "system-test" ]; then
> >          # Reconfigure build with required OPTS, rebuild and run system tests.
>
> We're not really reconfiguring/rebuilding anymore, this can probably be
> updated to:
>
> # Configure build with required OPTS, build and run system tests.
>
> Or, even better, the comment can be removed altogether; but I guess this
> can be fixed up at apply time, therefore:
>
> Acked-by: Dumitru Ceara <dceara@redhat.com>

Thanks Dumitru.  I removed the comment and applied the patch to the main branch.

Numan

>
> Thanks,
> Dumitru
>
> _______________________________________________
> dev mailing list
> dev@openvswitch.org
> https://mail.openvswitch.org/mailman/listinfo/ovs-dev
>
diff mbox series

Patch

diff --git a/.ci/linux-build.sh b/.ci/linux-build.sh
index 76a2ff459f..b0975685d4 100755
--- a/.ci/linux-build.sh
+++ b/.ci/linux-build.sh
@@ -49,17 +49,6 @@  else
 fi
 
 if [ "$TESTSUITE" ]; then
-    # 'distcheck' will reconfigure with required options.
-    # Now we only need to prepare the Makefile without sparse-wrapped CC.
-    configure_ovn
-
-    export DISTCHECK_CONFIGURE_FLAGS="$OPTS"
-    if ! make distcheck -j4 TESTSUITEFLAGS="-j4" RECHECK=yes; then
-        # testsuite.log is necessary for debugging.
-        cat */_build/sub/tests/testsuite.log
-        exit 1
-    fi
-
     if [ "$TESTSUITE" = "system-test" ]; then
         # Reconfigure build with required OPTS, rebuild and run system tests.
         configure_ovn $OPTS
@@ -69,6 +58,17 @@  if [ "$TESTSUITE" ]; then
             cat tests/system-kmod-testsuite.log
             exit 1
         fi
+    else
+        # 'distcheck' will reconfigure with required options.
+        # Now we only need to prepare the Makefile without sparse-wrapped CC.
+        configure_ovn
+
+        export DISTCHECK_CONFIGURE_FLAGS="$OPTS"
+        if ! make distcheck -j4 TESTSUITEFLAGS="-j4" RECHECK=yes; then
+            # testsuite.log is necessary for debugging.
+            cat */_build/sub/tests/testsuite.log
+            exit 1
+        fi
     fi
 else
     configure_ovn $OPTS
diff --git a/.github/workflows/test.yml b/.github/workflows/test.yml
index ce313690a6..280f0ffea0 100644
--- a/.github/workflows/test.yml
+++ b/.github/workflows/test.yml
@@ -34,6 +34,8 @@  jobs:
           - compiler:     clang
             opts:         --disable-ssl
 
+          - compiler:     gcc
+            testsuite:    test
           - compiler:     gcc
             testsuite:    system-test
           - compiler:     clang